Bug 1316419 - POSTIN scriptlet failure in rpm package fedora-release-server
POSTIN scriptlet failure in rpm package fedora-release-server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 02:58 EST by Lukas Slebodnik
Modified: 2016-03-29 08:10 EDT (History)
6 users (show)

See Also:
Fixed In Version: fedora-release-24-0.16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 08:10:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Slebodnik 2016-03-10 02:58:23 EST
Description of problem:
I have an error in fedora-release-server's scriptlet

Version-Release number of selected component (if applicable):
rpm -q fedora-release-server grub2
fedora-release-server-24-0.14.noarch
grub2-2.02-0.26.fc24.x86_64

How reproducible:
Deterministic

Steps to Reproduce:
1. Try to reinstall fedora-release-server

Actual results:
[root@host ~]# dnf reinstall fedora-release-server
Last metadata expiration check performed 0:36:35 ago on Thu Mar 10 08:16:02 2016.
Dependencies resolved.
================================================================================
 Package                      Arch          Version         Repository     Size
================================================================================
Reinstalling:
 fedora-release-server        noarch        24-0.14         fedora         22 k

Transaction Summary
================================================================================

Total download size: 22 k
Is this ok [y/N]: y
Downloading Packages:
fedora-release-server-24-0.14.noarch.rpm        512 kB/s |  22 kB     00:00    
--------------------------------------------------------------------------------
Total                                            18 kB/s |  22 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Reinstalling: fedora-release-server-24-0.14.noarch                        1/2 
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.5.0-0.rc7.git0.2.fc24.x86_64
Found initrd image: /boot/initramfs-4.5.0-0.rc7.git0.2.fc24.x86_64.img
Found linux image: /boot/vmlinuz-4.5.0-0.rc6.git3.1.fc24.x86_64
Found initrd image: /boot/initramfs-4.5.0-0.rc6.git3.1.fc24.x86_64.img
Found linux image: /boot/vmlinuz-4.4.2-301.fc23.x86_64
Found initrd image: /boot/initramfs-4.4.2-301.fc23.x86_64.img
Found linux image: /boot/vmlinuz-0-rescue-52d5476f250e4edb9221538b3585f1b3
Found initrd image: /boot/initramfs-0-rescue-52d5476f250e4edb9221538b3585f1b3.img
Found Debian GNU/Linux (jessie/sid) on /dev/mapper/luks-048a9346-0d14-4aed-b72d-ab7c75501cb6
done
error: lua script failed: [string "%post(fedora-release-server-24-0.14.noarch)"]:56: /usr/sbin/grub2-mkconfig exited with status 10319.0
Non-fatal POSTIN scriptlet failure in rpm package fedora-release-server
Non-fatal POSTIN scriptlet failure in rpm package fedora-release-server
  Erasing     : fedora-release-server-24-0.14.noarch                        2/2 
  Verifying   : fedora-release-server-24-0.14.noarch                        1/2 
  Verifying   : fedora-release-server-24-0.14.noarch                        2/2 

Reinstalled:
  fedora-release-server.noarch 24-0.14                                          

Complete!

[root@host ~]# /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.5.0-0.rc7.git0.2.fc24.x86_64
Found initrd image: /boot/initramfs-4.5.0-0.rc7.git0.2.fc24.x86_64.img
Found linux image: /boot/vmlinuz-4.5.0-0.rc6.git3.1.fc24.x86_64
Found initrd image: /boot/initramfs-4.5.0-0.rc6.git3.1.fc24.x86_64.img
Found linux image: /boot/vmlinuz-4.4.2-301.fc23.x86_64
Found initrd image: /boot/initramfs-4.4.2-301.fc23.x86_64.img
Found linux image: /boot/vmlinuz-0-rescue-52d5476f250e4edb9221538b3585f1b3
Found initrd image: /boot/initramfs-0-rescue-52d5476f250e4edb9221538b3585f1b3.img
Found Debian GNU/Linux (jessie/sid) on /dev/mapper/luks-048a9346-0d14-4aed-b72d-ab7c75501cb6
done
[root@host ~]# echo $?
0

Expected results:
No error/warnings in scriptlet.
Comment 1 Stephen Gallagher 2016-03-10 08:18:20 EST
Yeah, there were several edge-cases I didn't consider when using grub2-mkconfig there. I've submitted a PR to remove that call entirely.

https://pagure.io/fedora-release/pull-request/36
Comment 2 Mike McCune 2016-03-28 18:27:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.